#ifndef SPECTRA_H
#define SPECTRA_H

#include <QWidget>

#include "spectrum2dplot.h"

class spectra : public QWidget
{
    Q_OBJECT
public:
    explicit spectra(QWidget *parent = 0, unsigned int nbSpectrum2DPlot = 0 ,
                     unsigned int keySize = 0, unsigned int valueSize = 0, double scaleFactor = 1.0);
    ~spectra();

    QVBoxLayout *layout_overallLayout;
    QTabWidget *mainTabWidget;

    Spectrum2DPlot **spectrum;

    unsigned int nbSpectrum2DPlot;

signals:

public slots:
    void updateScaleFactor(double scaleFactor);
    void updateColorScaleMax(double newValue);
    void updateColorScaleMin(double newValue);
    void setTabTitle(unsigned char tab, QString title);

};

#endif // SPECTRA_H
