#ifndef LFRXMLPARSER_H
#define LFRXMLPARSER_H

#include <QObject>
#include <tmpackettoread.h>

class LFRXmlParser : public QObject
{
    Q_OBJECT
public:
    explicit LFRXmlParser(QObject *parent = 0);
    void processIncomingStr(QString incomingStr);
    int findPattern(QString startStr, QString stopStr, int *indexOfStartStr, int *indexOfStopStr);
    void processIncomingDataLESIA(const QString &ch);
    QList<TMPacketToRead*> *generalCCSDSPacketStore;
    
signals:
    void sendMessage(QString);
    void processPacketStore();
    
public slots:

private:
    QString xmlBuffer;
    
};

#endif // LFRXMLPARSER_H
