#include "lfrxmlwriter.h"
#include <QFile>
#include <QMessageBox>

LFRXmlWriter::LFRXmlWriter(QWidget *parent) :
    QObject(parent)
{
    socketTM = NULL;
    xmlWriter = new QXmlStreamWriter();
}

LFRXmlWriter::~LFRXmlWriter()
{

}

void LFRXmlWriter::setSocketTM(QTcpSocket *socket)
{
    this->socketTM = socket;
    xmlWriter->setDevice(this->socketTM);
}

void LFRXmlWriter::sendXML_TC_Acknowledgment()
{
    xmlWriter->writeStartElement("TCAck");
    xmlWriter->writeAttribute("ID", "0");
    xmlWriter->writeEndElement();
}

void LFRXmlWriter::sendXML_TC_rejection()
{
    xmlWriter->writeStartElement("TCNAck");
    xmlWriter->writeAttribute("ID", "0");
    xmlWriter->writeStartElement("Reason");
    xmlWriter->writeEndElement();
    xmlWriter->writeEndElement();
}

void LFRXmlWriter::sendXML_GSE_HK()
{
    xmlWriter->writeStartElement("TM");
    xmlWriter->writeStartElement("Name");
    xmlWriter->writeEndElement();
    xmlWriter->writeStartElement("Content");
    xmlWriter->writeCharacters("FFFFCC0099");
    xmlWriter->writeEndElement();
    xmlWriter->writeEndElement();
    xmlWriter->writeEndElement();
}
