#ifndef LFRXMLWRITER_H
#define LFRXMLWRITER_H

#include <QObject>
#include <QXmlStreamWriter>
#include <QMap>
#include <QTcpSocket>

class LFRXmlWriter : public QObject
{
    Q_OBJECT

public:
    LFRXmlWriter(QWidget *parent = 0);
    ~LFRXmlWriter();

private:
    QTcpSocket *socketTM;
    QXmlStreamWriter* xmlWriter;

public slots:
    void setSocketTM(QTcpSocket *socket);
    void sendXML_TC_Acknowledgment();
    void sendXML_TC_rejection();
    void sendXML_GSE_HK();
    
};

#endif // LFRXMLWRITER_H
