#ifndef STOREHK_H
#define STOREHK_H

#include <QObject>
#include <QFile>
#include <QTextStream>
#include <QDate>
#include <QTime>

class StoreHK : public QObject
{
    Q_OBJECT
public:
    explicit StoreHK(QObject *parent = 0);

    void buildDataAsQByteArray(short temp_scm, short temp_pcb, short temp_fpga,
                               short param1, short param2, short param3,
                               unsigned int coarseTime, unsigned int fineTime );
    QString buildPrefix();
    void buildFileName();
    void storeDataBuffer();
    void initDataBuffer();

    QString defaultStorageDirectory;

    QFile *logFile;

    QString hkName;

    QTextStream *logFileStrm;

    bool logFileEn;
    bool storageEnabled;

    unsigned int localBufferSize;
    QByteArray dataBuffer;

signals:

public slots:
    void storeData();
    void setDefaultStorageDirectory(QString nameOfTheDirectory);

};

#endif // StoreHK_H
