#ifndef WFPACKET_H
#define WFPACKET_H

#include <QObject>
#include "fsw_params.h"

class WFPacket : public QObject
{
    Q_OBJECT
public:
    explicit WFPacket(QObject *parent = 0, unsigned int nbData = 0);
    ~WFPacket();
    void resetWaveforms();
    unsigned int nbSamples;
    unsigned int coarseTime;
    unsigned int fineTime;
    short *wf_v;
    short *wf_e1;
    short *wf_e2;
    short *wf_b1;
    short *wf_b2;
    short *wf_b3;
    
signals:
    
public slots:
    
};

#endif // WFPACKET_H
